diff -uNrd -x ChangeLog ircd-hybrid-7.0/doc/example.conf PleXusIRCd-1.17a/doc/example.conf
--- ircd-hybrid-7.0/doc/example.conf	Sat May 31 03:30:25 2003
+++ PleXusIRCd-1.17a/doc/example.conf	Sat Oct 25 08:02:26 2003
@@ -1,59 +1,11 @@
-/* doc/example.conf - ircd-hybrid-7 Example configuration file
- * Copyright (C) 2000-2002 Hybrid Development Team
- *
- * Written by ejb, wcampbel, db, leeh and others
- *
- * $Id: example.conf,v 7.169.2.1 2003/05/31 07:30:25 lusky Exp $
- */
-
-/* IMPORTANT NOTES:
- *
- * class {} blocks MUST be specified before anything that uses them.  That
- * means they must be defined before auth {} and before connect {}.
- *
- * auth {} blocks MUST be specified in order of precedence.  The first one
- * that matches a user will be used.  So place spoofs first, then specials,
- * then general access, then restricted.
- *
- * Both shell style (#) and C style comments are supported.
- *
- * Files may be included by either:
- *        .include "filename"
- *        .include <filename>
- *
- * Times/durations are written as:
- *        12 hours 30 minutes 1 second
- *        
- * Valid units of time:
- *        month, week, day, hour, minute, second
- *
- * Valid units of size:
- *        megabyte/mbyte/mb, kilobyte/kbyte/kb, byte
- *
- * Sizes and times may be singular or plural.  
- */ 
-
-/* EFNET NOTE:
- * 
- * This config file is NOT suitable for EFNet.  EFNet admins should use
- * example.efnet.conf
- */
- 
  /* serverinfo {}:  Contains information about the server. (OLD M:) */
 serverinfo {
-	/* name: the name of our server */
-	name = "hades.arpa";
+	name = "server.rizon.net";
 
-	/* description: the description of our server.  '[' and ']' may not
-	 * be used here for compatibility with older servers.
-	 */
-	description = "hybrid-7 test server";
+	description = "Rizon IRC Server";
 
-	/* network info: the name and description of the network this server
-	 * is on.  Shown in the 005 reply and used with serverhiding.
-	 */
-	network_name = "MyNet";
-	network_desc = "This is My Network";
+	network_name = "Rizon";
+	network_desc = "Where are You?";
 
 	/* hub: allow this server to act as a hub and have multiple servers
 	 * connected to it.  This may not be changed if there are active
@@ -64,35 +16,22 @@
 	/* vhost: the IP to bind to when we connect outward to ipv4 servers.
 	 * This should be an ipv4 IP only.
 	 */
-	#vhost = "192.169.0.1";
+	vhost = "IRCD IP";
 
 	/* vhost6: the IP to bind to when we connect outward to ipv6 servers.
 	 * This should be an ipv6 IP only.
 	 */
 	#vhost6 = "3ffe:80e8:546::2";
 
-	/* max clients: the maximum number of clients allowed to connect */
-	max_clients = 512;
-
-	/* rsa key: the path to the file containing our rsa key for cryptlink.
-	 *
-	 * Example command to store a 2048 bit RSA keypair in
-	 * rsa.key, and the public key in rsa.pub:
-	 * 
-	 * 	openssl genrsa -out rsa.key 2048
-	 *	openssl rsa -in rsa.key -pubout -out rsa.pub
-	 *	chown <ircd-user>.<ircd.group> rsa.key rsa.pub
-	 *	chmod 0600 rsa.key
-	 *	chmod 0644 rsa.pub
-	 */
+	max_clients = 2048;
 	#rsa_private_key_file = "/usr/local/ircd/etc/rsa.key";
 };
 
 /* admin {}: contains admin information about the server. (OLD A:) */
 admin {
-	name = "Smurf target";
-	description = "Main Server Administrator";
-	email = "<syn@packets.r.us>";
+	name = "Name";
+	description = "PleXus IRCd";
+	email = "<name@rizon.net>";
 };
 
 /* logging {}: contains information about logfiles. */
@@ -107,24 +46,13 @@
 
 /* class {}: contain information about classes for users (OLD Y:) */
 class {
-	/* name: the name of the class.  classes are text now */
 	name = "users";
 
-	/* ping time: how often a client must reply to a PING from the
-	 * server before they are dropped.
-	 */
 	ping_time = 2 minutes;
 
-	/* number per ip: the number of users per host allowed to connect */
-	number_per_ip = 2;
-
-	/* max number: the maximum number of users allowed in this class */
-	max_number = 100;
-
-	/* sendq: the amount of data allowed in a clients queue before
-	 * they are dropped.
-	 */
-	sendq = 100 kbytes;
+	number_per_ip = 3;
+	max_number = 1000;
+	sendq = 1 megabytes;
 };
 
 class {
@@ -140,151 +68,63 @@
 	ping_time = 5 minutes;
 	number_per_ip = 10;
 	max_number = 100;
-	sendq = 100kbytes;
+	sendq = 2 megabytes;
+	#sendq = 200kbytes;
 };
 
 class {
 	name = "server";
 	ping_time = 5 minutes;
-
-	/* connectfreq: only used in server classes.  specifies the delay
-	 * between autoconnecting to servers.
-	 */
 	connectfreq = 5 minutes;
 
-	/* max number: the amount of servers to autoconnect to */
-	max_number = 1;
-
-	/* sendq: servers need a higher sendq as they send more data */
-	sendq=2 megabytes;
+	max_number = 0;
+	sendq=10 megabytes;
 };
 
 /* listen {}: contain information about the ports ircd listens on (OLD P:) */
 listen {
-	/* port: the specific port to listen on.  if no host is specified
-	 * before, it will listen on all available IPs.
-	 *
-	 * ports are seperated via a comma, a range may be specified using ".."
-	 */
-	
-	/* port: listen on all available IPs, ports 6665 to 6669 */
-	port = 6665 .. 6669;
-
-	/* host: set a specific IP/host the ports after the line will listen 
-	 * on.  This may be ipv4 or ipv6.
-	 */
-	host = "1.2.3.4";
-	port = 7000, 7001;
-
-	host = "3ffe:1234:a:b:c::d";
-        port = 7002;
+	host = "IRCD IP";
+	port = 6660..6669,7000,6969;
 };
 
-/* auth {}: allow users to connect to the ircd (OLD I:) */
+/* Do not change the following auth blocks (Rizon Admin) */
 auth {
-	/* user: the user@host allowed to connect.  multiple IPv4/IPv6 user 
-	 * lines are permitted per auth block.
-	 */
-	user = "*@172.16.0.0/12";
-	user = "*test@123D:B567:*";
-
-	/* password: an optional password that is required to use this block */
-	password = "letmein";
-	
-	/* spoof: fake the users host to be be this.  This is free-form,
-	 * just do everyone a favour and dont abuse it. (OLD I: = flag)
-	 */
-        spoof = "I.still.hate.packets";
-
-        /* spoof notice: enable spoofing notification to admins (default yes) */
-        spoof_notice = yes;
-
-	/* exceed limit: allow a user to exceed class limits (OLD I: > flag) */
+	user = "*nobody@*.qld.padsl.internode.on.net";
+	user = "*@nessun.net";
+        user = "*@*.caro.net";
+        user = "*@*.ncez.net";
+	user = "acidmax@*.elztwn01.pa.comcast.net";
 	exceed_limit = yes;
-
-	/* kline exempt: exempt this user from k/glines (OLD I: ^ flag) */
 	kline_exempt = yes;
-
-	/* gline exempt: exempt this user from glines (OLD I: _ flag) */
 	gline_exempt = yes;
-
-	/* no tilde: remove ~ from a user with no ident (OLD I: - flag) */
 	no_tilde = yes;
-	
-	/* class: the class the user is placed in */
 	class = "opers";
 };
-
 auth {
-	/* redirect: the server and port to redirect a user to.  A user does
-	 * not have to obey the redirection, the ircd just suggests to them
-	 * an alternative server.
-	 */
-	redirserv = "irc.fi";
-	redirport = 6667;
-	
-	user = "*.fi";
-
-	/* class: a class is required even though it is not used */
-	class = "users";
+	user = "*@62.26.123.*";
+	exceed_limit = yes;
+        kline_exempt = yes;
+        gline_exempt = yes;   
+        no_tilde = yes;
+        class = "users";
 };
+/* End of Rizon Auth */
 
 auth {
 	user = "*@*";
 	class = "users";
 	
-	/* restricted: stop the client sending mode changes */
 	#restricted = yes;
-
-	/* have ident: require the user has identd to connect (OLD I: + flag) */
-	have_ident = yes;
+	have_ident = no;
 };
 
-/* operator {}: defines ircd operators. (OLD O:)
- * ircd-hybrid no longer supports local operators, privileges are
- * controlled via flags.
- */
 operator {
-	/* name: the name of the oper */
-	name = "god";
-
-	/* user: the user@host required for this operator.  CIDR is not
-	 * supported.  multiple user="" lines are supported.
-	 */
-	user = "*god@*";
-	user = "*@127.0.0.1";
-
-	/* password: the password required to oper.  By default this will
-	 * need to be encrypted using 'mkpasswd'.  MD5 is supported.
-	 */
-	password = "etcnjl8juSU1E";
-
-	/* rsa key: the public key for this oper when using Challenge.
-	 * A password should not be defined when this is used, see 
-	 * doc/challenge.txt for more information.
-	 */
-	#rsa_public_key_file = "/usr/local/ircd/etc/oper.pub";
-
-	/* class: the class the oper joins when they successfully /oper */
+	name = "radmin";
+	user = "*nobody@*.qld.padsl.internode.on.net";
+	user = "*@nessun.net";
+	user = "*@67.42.*";
+	password = "Sq6db7cMGNwjY";	/* encrypted */
 	class = "opers";
-
-	/* privileges: controls the activities and commands an oper are 
-	 * allowed to do on the server.  All options default to no.
-	 * Available options:
-	 *
-	 * global_kill:  allows remote users to be /KILL'd (OLD 'O' flag)
-	 * remote:       allows remote SQUIT and CONNECT   (OLD 'R' flag)
-	 * kline:        allows KILL, KLINE and DLINE      (OLD 'K' flag)
-	 * unkline:      allows UNKLINE and UNDLINE        (OLD 'U' flag)
-	 * gline:        allows GLINE                      (OLD 'G' flag)
-	 * nick_changes: allows oper to see nickchanges    (OLD 'N' flag)
-	 *               via usermode +n
-	 * rehash:       allows oper to REHASH config      (OLD 'H' flag)
-	 * die:          allows DIE and RESTART            (OLD 'D' flag)
-	 * admin:        gives admin privileges.  admins
-	 *               may (un)load modules and see the
-	 *               real IPs of servers.
-	 */
 	global_kill = yes;
 	remote = yes;
 	kline = yes;
@@ -292,146 +132,62 @@
 	gline = yes;
 	die = yes;
 	rehash = yes;
-	nick_changes = yes;
+	nick_changes = no;
 	admin = yes;
 };
 
-/* connect {}: controls servers we connect to (OLD C:, N:, H:, L:) */
-connect {
-	/* name: the name of the server */
-	name = "irc.uplink.com";
-
-	/* host: the host or IP to connect to.  If a hostname is used it
-	 * must match the reverse dns of the server.
-	 */
-	host = "192.168.0.1";
-
-	/* passwords: the passwords we send (OLD C:) and accept (OLD N:).
-	 * The remote server will have these passwords reversed.
-	 */
-	send_password = "password";
-	accept_password = "anotherpassword";
-
-	/* encrypted: controls whether the accept_password above has been
-	 * encrypted.  (OLD CRYPT_LINK_PASSWORD now optional per connect)
-	 */
-	encrypted = no;
-
-	/* port: the port to connect to this server on */
-	port = 6666;
-
-	/* hub mask: the mask of servers that this server may hub. Multiple
-	 * entries are permitted
-	 */
-	hub_mask = "*";
-
-	/* leaf mask: the mask of servers this server may not hub.  Multiple
-	 * entries are permitted.  Useful for forbidding EU -> US -> EU routes.
-	 */
-	#leaf_mask = "*.uk";
-
-	/* class: the class this server is in */
-	class = "server";
-
-	/* autoconnect: controls whether we autoconnect to this server or not,
-	 * dependent on class limits.
-	 */
-	autoconn = yes;
-	
-	/* compressed: controls whether traffic is compressed via ziplinks.
-	 * By default this is disabled
-	 */
-	#compressed = yes;
-
-	/* lazylink: controls whether this server is a LazyLink.  LazyLink 
-	 * servers may NOT hub.  see doc/LazyLinks.as.implemented.txt
-	 */
-	#lazylink = yes;
-
-	/* masking: the servername we pretend to be when we connect */
-	#fakename = "*.arpa";
+operator {
+        name = "bopm";
+        user = "*@IP";
+        password = "PASS";
+        class = "opers";
+        global_kill = yes;
+        remote = no;
+        kline = yes;
+        unkline = yes;
+        gline = yes;
+        die = no;
+        rehash = no;
+        nick_changes = yes;
+        admin = no;
 };
 
+/* connect {}: controls servers we connect to (OLD C:, N:, H:, L:) */
 connect {
-	name = "encrypted.auth.example";
-	host = "some.host.somewhere";
-	port = 6667;
-
-	/* cryptlink: enable full encryption for all data passing between our
-	 * server and this link and rsa authentication.
-	 */
-	cryptlink = yes;
-
-	/* rsa key: the path to the public keyfile of the server.  Used instead
-	 * of passwords.
-	 */
-	rsa_public_key_file = "etc/remote.server.keyfile";
-
-	/* cipher preference: set the preferred cipher for this link
-	 *
-	 * Available ciphers are:
-	 *      BF/168 BF/128 CAST/128 IDEA/128 RC5.16/128 
-	 *      RC5.12/128 RC5.8/128 3DES/168 DES/56
-	 *
-	 * NOTE:  Some ciphers may not be supported by your OpenSSL.
-	 *        Check the output from 'configure' for available ciphers.
-	 * 
-	 * NOTE2: To help you decide what cipher to use, tools/encspeed
-	 *        will show you approximately how fast each cipher is.
-	 *        However, blowfish is fast and secure, and is probably
-	 *        a good default for most situations.
-	 *
-	 * NOTE3: Default if none is set is BF/128
-	 *
-	 * The cipher *MUST* be the same in both directions.  If you
-	 * set a cipher preference, your uplink must set the same cipher,
-	 * else it will not link.
-	 */
-	#cipher_preference = "BF/168";
+         name = "primal.hub.rizon.net";
+         host = "";
+         send_password = "kjah725FFDgwfa";
+         accept_password = "kjah725FFDgwfa";
+         encrypted = no;
+         port = 6969;
+         hub_mask = "*";
+         #leaf_mask = "*.uk";
+         class = "server";
+         autoconn = no;
+         compressed = yes;
+         #lazylink = yes;
+         #fakename = "*.arpa";
 };
-
 connect {
-        name = "ipv6.some.server";
-        host = "3ffd:dead:beef::1";
-        send_password = "password";
-        accept_password = "password";
-        port = 6666;
-
-	/* aftype: controls whether the connection uses "ipv4" or "ipv6".
-	 * Default is ipv4.
-	 */
-	aftype = ipv6;
+        name = "frag.hub.rizon.net";
+        host = "";
+        send_password = "lkyj9KJJ230Mksa";
+        accept_password = "lkyj9KJJ230Mksa";
+        encrypted = no;
+        port = 6969;
+        hub_mask = "*";
+        #leaf_mask = "*.uk";
         class = "server";
+        autoconn = no;
+        compressed = yes;
+        #lazylink = yes;
+        #fakename = "*.arpa";
 };
 
 /* shared {}: users that are allowed to remote kline (OLD U:) */
 shared {
-	/* name: the server the user must be on to set klines.  If this is not
-	 * specified, the user will be allowed to kline from all servers.
-	 */
-	name = "irc2.some.server";
-
-	/* user: the user@host mask that is allowed to set klines.  If this is
-	 * not specified, all users on the server above will be allowed to set
-	 * a remote kline.
-	 */
-	user = "oper@my.host.is.spoofed";
-};
-
-/* kill {}: users that are not allowed to connect (OLD K:)
- * Oper issued klines will be added to the specified kline config
- */
-kill {
-	user = "bad@*.hacked.edu";
-	reason = "Obviously hacked account";
-};
-
-/* deny {}: IPs that are not allowed to connect (before DNS/ident lookup)
- * Oper issued dlines will be added to the specified dline config
- */
-deny {
-	ip = "10.0.1.0/24";
-	reason = "Reconnecting vhosted bots";
+	name = "services.rizon.net";
+	user = "*@services.rizon.net";
 };
 
 /* exempt {}: IPs that are exempt from deny {} and Dlines. (OLD d:) */
@@ -441,15 +197,19 @@
 
 /* resv {}: nicks and channels users may not use/join (OLD Q:) */
 resv {
-        /* reason: the reason for the proceeding resv's */
-        reason = "There are no services on this network";
+      reason = "There are no services on this network";
 
-	/* resv: the nicks and channels users may not join/use */
 	nick = "nickserv";
 	nick = "chanserv";
+	nick = "operserv";
+	nick = "helpserv";
+	nick = "memoserv";
+	nick = "botserv";
+	nick = "rizon";
+        nick = "hostserv";
+	nick = "statserv";
 	channel = "#services";
 
-	/* resv: wildcard masks are also supported in nicks only */
 	reason = "Clone bots";
 	nick = "clone*";
 };
@@ -480,315 +240,81 @@
 
 /* The channel block contains options pertaining to channels */
 channel {
-	/* invex: Enable/disable channel mode +I, a n!u@h list of masks
-	 * that can join a +i channel without an invite.
-	 */
 	use_invex = yes;
-
-	/* except: Enable/disable channel mode +e, a n!u@h list of masks
-	 * that can join a channel through a ban (+b).
-	 */
 	use_except = yes;
-
-        /* halfops: Enable/disable channel mode "+h <nick>", this allows
-	 * users to perform all channel functions except +/-o and kick
-	 * opped users.
-	 */
         use_halfops = yes;
-
-	/* anonops: Enable/disable channel mode +a.  This hides the people
-	 * who are opped in the channel from people who are unopped.
-	 *
-	 * The ircd will 'sync' the users oplists when they become opped
-	 * or deopped by sending mode changes.  This can cause a flood and
-	 * could potentially be abused.
-	 */
 	use_anonops = no;
-
-        /* vchans: permit virtual channels, multiple copies of the same
-	 * channel name.  read doc/vchans.txt for more details
-	 *
-	 * We advise against using this on production networks
-         */
-        use_vchans = yes;
-
-	/* vchans oper only: only allow opers to create vchans via /cjoin */
+        use_vchans = no;
 	vchans_oper_only = yes;
-
-	/* knock: Allows users to request an invite to a channel that
-	 * is locked somehow (+ikl).  If the channel is +p or you are banned
-	 * the knock will not be sent.
-	 */
 	use_knock = yes;
-
-	/* knock delay: The amount of time a user must wait between issuing
-	 * the knock command.
-	 */
 	knock_delay = 5 minutes;
-
-	/* knock channel delay: How often a knock to any specific channel
-	 * is permitted, regardless of the user sending the knock.
-	 */
 	knock_delay_channel = 1 minute;
-
-	/* max chans: The maximum number of channels a user can join/be on. */
 	max_chans_per_user = 15;
-
-        /* quiet on ban: stop banned people talking in channels. */
         quiet_on_ban = yes;
-
-        /* max bans: maximum number of +b/e/I modes in a channel */
-        max_bans = 25;
-
-        /* splitcode: the ircd will check every 60s as to whether splitmode
-	 * should be disabled or not, so there may be a delay between a
-	 * netsplit ending and splitmode ending.
-	 *
-	 * both split users and split servers must be true to enter splitmode
-	 * 
-	 * you may force splitmode to be permanent by /quote set splitmode on
-	 */
-
-	/* split users: when the usercount is lower than this level, consider
-	 * ourselves split.  this must be set for automatic splitmode
-	 */
-	default_split_user_count = 0;
-
-	/* split servers: when the servercount is lower than this, consider
-	 * ourselves split.  this must be set for automatic splitmode
-	 */
-	default_split_server_count = 0;
-
-	/* split no create: disallow users creating channels on split. */
+        max_bans = 75;
+	default_split_user_count = 1000;
+	default_split_server_count = 5;
 	no_create_on_split = no;
-
-	/* split: no join: disallow users joining channels at all on a split */
 	no_join_on_split = no;
-
-	/* oper pass resv: allow opers to over-ride RESVs on nicks/channels */
 	oper_pass_resv = yes;
 };
 
 
 /* The serverhide block contains the options regarding serverhiding */
 serverhide {
-	/* flatten links: this option will show all servers in /links appear
-	 * that they are linked to this current server
-	 */
-	flatten_links = no;
+	flatten_links = yes;
 
-	/* links delay: how often to update the links file when it is
-	 * flattened.
-	 */
 	links_delay = 5 minutes;
-
-	/* hidden: hide this server from a /links output on servers that
-	 * support it.  this allows hub servers to be hidden etc.
-	 */
         hidden = no;
-
-	/* disable hidden: prevent servers hiding themselves from a
-	 * /links ouput.
-	 */
-	disable_hidden = no;
-
-	/* hide servers: hide remote servernames everywhere and instead use
-	 * network_name and network_desc.
-	 */
-	hide_servers = no;
-
-	/* disable remote: disable users doing commands on remote servers */
+	disable_hidden = yes;
+	hide_servers = yes;
 	disable_remote_commands = no;
-
-	/* disable local channels: prevent users from joining &channels.
-	 * This is extreme, but it is still a flaw in serverhide.  It will
-	 * however remove far more from users than it will give back in
-	 * security.
-	 */
-	disable_local_channels = no;
+	disable_local_channels = yes;
 };
 
 /* The general block contains many of the options that were once compiled
  * in options in config.h.  The general block is read at start time.
  */
 general {
-	/* floodcount: the default value of floodcount that is configurable
-	 * via /quote set floodcount.  This is the amount of lines a user
-	 * may send to any other user/channel in one second.
-	 */
         default_floodcount = 10;
-
-	/* failed oper notice: send a notice to all opers on the server when 
-	 * someone tries to OPER and uses the wrong password, host or ident.
-	 */
 	failed_oper_notice = yes;
-
-	/* dots in ident: the amount of '.' characters permitted in an ident
-	 * reply before the user is rejected.
-	 */
 	dots_in_ident=2;
-
-	/* dot in ipv6: ircd-hybrid-6.0 and earlier will disallow hosts 
-	 * without a '.' in them.  this will add one to the end.  only needed
-	 * for older servers.
-	 */
-        dot_in_ip6_addr = yes;
-        
-        /* min nonwildcard: the minimum non wildcard characters in k/d/g lines
-	 * placed via the server.  klines hand placed are exempt from limits.
-	 * wildcard chars: '.' '*' '?' '@'
-	 */
-	min_nonwildcard = 4;
-
-        /* max accept: maximum allowed /accept's for +g usermode */
+	dot_in_ip6_addr = yes;
+        min_nonwildcard = 4;
         max_accept = 20;
-
-	/* nick flood: enable the nickflood control code */
 	anti_nick_flood = yes;
-
-	/* nick flood: the nick changes allowed in the specified period */
 	max_nick_time = 20 seconds;
 	max_nick_changes = 5;
-
-        /* anti spam time: the minimum time a user must be connected before
-	 * custom quit messages are allowed.
-	 */
-        anti_spam_exit_message_time = 5 minutes;
-
-	/* ts delta: the time delta allowed between server clocks before
-	 * a warning is given, or before the link is dropped.  all servers
-	 * should run ntpdate/rdate to keep clocks in sync
-	 */
+        anti_spam_exit_message_time = 5 minutes;	
 	ts_warn_delta = 30 seconds;
-	ts_max_delta = 5 minutes;
-
-	/* client exit: prepend a users quit message with "Client exit: " */
+	ts_max_delta = 10 minutes;
 	client_exit = yes;
-
-	/* kline reason: show the user the reason why they are k/d/glined 
-	 * on exit.  may give away who set k/dline when set via tcm.
-	 */
 	kline_with_reason = yes;
-
-	/* kline connection closed: make the users quit message on channels
-	 * to be "Connection closed", instead of the kline reason.
-	 */
 	kline_with_connection_closed = no;
-
-	/* non redundant klines: flag and ignore redundant klines */
 	non_redundant_klines = yes;
-
-	/* warn no nline: warn opers about servers that try to connect but
-	 * we dont have a connect {} block for.  Twits with misconfigured 
-	 * servers can get really annoying with this enabled.
-	 */
 	warn_no_nline = yes;
-
-	/* stats o oper only: make stats o (opers) oper only */
 	stats_o_oper_only=yes;
-
-	/* stats P oper only: make stats P (ports) oper only */
 	stats_P_oper_only=no;
-
-	/* stats i oper only: make stats i (auth {}) oper only. set to:
-	 *     yes:    show users no auth blocks, made oper only.
-	 *     masked: show users first matching auth block
-	 *     no:     show users all auth blocks.
-	 */
-	stats_i_oper_only=masked;
-
-	/* stats k/K oper only: make stats k/K (klines) oper only.  set to:
-	 *     yes:    show users no auth blocks, made oper only
-	 *     masked: show users first matching auth block
-	 *     no:     show users all auth blocks.
-	 */
-	stats_k_oper_only=masked;
-                                    
-	/* caller id wait: time between notifying a +g user that somebody
-	 * is messaging them.
-	 */
-	caller_id_wait = 1 minute;
-
-	/* pace wait simple: time between use of less intensive commands
-	 * (HELP, remote WHOIS, WHOWAS)
-	 */
+	stats_i_oper_only=yes;
+	stats_k_oper_only=yes;
+  	caller_id_wait = 1 minute;
 	pace_wait_simple = 1 second;
-
-	/* pace wait: time between more intensive commands
-	 * (ADMIN, INFO, LIST, LUSERS, MOTD, STATS, VERSION)
-	 */
 	pace_wait = 10 seconds;
-
-	/* short motd: send clients a notice telling them to read the motd
-	 * instead of forcing a motd to clients who may simply ignore it.
-	 */
 	short_motd = no;
-
-	/* ping cookies: require clients to respond exactly to a ping command,
-	 * can help block certain types of drones and FTP PASV mode spoofing.
-	 */
 	ping_cookie = no;
-
-	/* no oper flood: increase flood limits for opers. */
 	no_oper_flood = yes;
-
-	/* true no oper flood: completely eliminate flood limits for opers
-         * and for clients with can_flood = yes in their auth {} blocks
-	 */
 	true_no_oper_flood = yes;
-
-	/* glines: enable glines, network wide temp klines */
 	glines = yes;
-
-	/* gline time: the amount of time a gline will remain before exiring */
-	gline_time = 1 day;
-
-	/* idletime: the maximum amount of time a user may idle before
-	 * they are disconnected
-	 */
+	gline_time = 7day;
         idletime = 0;
-
-	/* maximum links: the maximum amount of servers to connect to for
-	 * connect blocks without a valid class.
-	 */
 	maximum_links = 1;
-
-	/* REMOVE ME.  The following line checks you've been reading. */
-	havent_read_conf = 1;
-	
-	/* logfiles: the logfiles to use for user connects, /oper uses,
-	 * and failed /oper.  These files must exist for logging to be used.
-	 */
 	fname_userlog = "logs/userlog";
 	fname_operlog = "logs/operlog";
 	fname_foperlog = "logs/foperlog";
-
-	/* max targets: the maximum amount of targets in a single 
-	 * PRIVMSG/NOTICE.  set to 999 NOT 0 for unlimited.
-	 */
 	max_targets = 4;
-
-	/* client flood: maximum number of lines in a clients queue before
-	 * they are dropped for flooding.
-	 */
 	client_flood = 20;
-
-        /* use help: whether an improved help system per command is available
-         * to users.  If this is disabled, users will just be shown a command
-         * list.
-         *
-         * this is non-caching and the help file will be read per command
-         * which should be an adverse consideration for large servers.
-         */
         use_help = yes;
-
-	/* message locale: the default message locale if gettext() is enabled
-	 * and working.
-	 * Use "custom" for the (in)famous Hybrid custom messages.
-	 * Use "standard" for the compiled in defaults.
-	 */
 	message_locale = "custom";
-
 	/* usermodes configurable: a list of usermodes for the options below
 	 *
 	 * +b - bots       - See bot and drone flooding notices
@@ -810,60 +336,18 @@
 	 * +z - operwall   - See oper generated WALLOPS
 	 */
 	 
-	/* oper only umodes: usermodes only opers may set */
 	oper_only_umodes = bots, cconn, debug, full, skill, nchange, 
                      rej, spy, external, operwall, locops, unauth;
-
-	/* oper umodes: default usermodes opers get when they /oper */
 	oper_umodes = locops, servnotice, operwall, wallop;
-
-	/* servlink path: path to 'servlink' program used by ircd to handle
-	 * encrypted/compressed server <-> server links.
-	 *
-	 * only define if servlink is not in same directory as ircd itself.
-	 */
 	#servlink_path = "/usr/local/ircd/bin/servlink";
-
-	/* default cipher: default cipher to use for cryptlink when none is
-	 * specified in connect block.
-	 */
-	#default_cipher_preference = "BF/168";
-
-	/* use egd: if your system does not have *random devices yet you
-	 * want to use OpenSSL and encrypted links, enable this.  Beware -
-	 * EGD is *very* CPU intensive when gathering data for its pool
-	 */
+	#default_cipher_preference = "BF/256";
 	#use_egd = yes;
-
-	/* egdpool path: path to EGD pool. Not necessary for OpenSSL >= 0.9.7
-	 * which automatically finds the path.
-	 */
 	#egdpool_path = "/var/run/egd-pool";
-
-
-	/* compression level: level of compression for compressed links between
-	 * servers.  
-	 *
-	 * values are between: 1 (least compression, fastest)
-	 *                and: 9 (most compression, slowest).
-	 */
 	#compression_level = 6;
-
-	/* throttle time: the minimum amount of time between connections from
-	 * the same ip.  exempt {} blocks are excluded from this throttling.
-	 * Offers protection against flooders who reconnect quickly.  
-	 * Set to 0 to disable.
-	 */
-	throttle_time = 10;
+	throttle_time = 0;
 };
 
 modules {
-	/* module path: paths to search for modules specified below and 
-	 * in /modload.
-	 */
-	path = "/usr/local/ircd/modules";
-	path = "/usr/local/ircd/modules/autoload";
-
-	/* module: the name of a module to load on startup/rehash */
-	#module = "some_module.so";
+	path = "/home/rizon/ircd/modules";
+	path = "/home/rizon/ircd/modules/autoload";
 };
diff -uNrd -x ChangeLog ircd-hybrid-7.0/doc/ircd.motd PleXusIRCd-1.17a/doc/ircd.motd
--- ircd-hybrid-7.0/doc/ircd.motd	Tue Dec 12 16:46:59 2000
+++ PleXusIRCd-1.17a/doc/ircd.motd	Mon Sep  8 21:13:32 2003
@@ -1 +1 @@
-This is ircd-hybrid MOTD replace it with something better
+This is an MOTD.
diff -uNrd -x ChangeLog ircd-hybrid-7.0/hold PleXusIRCd-1.17a/hold
--- ircd-hybrid-7.0/hold	Wed Dec 31 19:00:00 1969
+++ PleXusIRCd-1.17a/hold	Fri Jun 20 08:08:50 2003
@@ -0,0 +1,32 @@
+contrib/hyb7+angel.diff:       if (kill_ptr->hold <= CurrentTime)
+contrib/hyb7+angel.diff:-			       (kill_ptr->user) ? kill_ptr->user : "*",
+contrib/hyb7+angel.diff:-			       (kill_ptr->host) ? kill_ptr->host : "*");
+contrib/hyb7+angel.diff:-	  delete_one_address_conf(kill_ptr->host, kill_ptr);
+contrib/hyb7+angel.diff:+	  if (kill_ptr->status & CONF_KILL)
+contrib/hyb7+angel.diff:+				   (kill_ptr->user) ? kill_ptr->user : "*",
+contrib/hyb7+angel.diff:+				   (kill_ptr->host) ? kill_ptr->host : "*");
+contrib/hyb7+angel.diff:+	      delete_one_address_conf(kill_ptr->host, kill_ptr);
+contrib/hyb7+angel.diff:+				   (kill_ptr->host) ? kill_ptr->host : "*");
+contrib/hyb7+angel.diff:+	      delete_one_address_conf(kill_ptr->host, kill_ptr);
+modules/m_stats.c:    if(kill_ptr->host)
+modules/m_stats.c:      host = kill_ptr->host;
+modules/m_stats.c:    if(kill_ptr->name)
+modules/m_stats.c:      name = kill_ptr->name;
+modules/m_stats.c:    if(kill_ptr->passwd)
+modules/m_stats.c:      reason = kill_ptr->passwd;
+src/s_conf.c:      if (kill_ptr->hold <= CurrentTime)
+src/s_conf.c:			       (kill_ptr->user) ? kill_ptr->user : "*",
+src/s_conf.c:			       (kill_ptr->host) ? kill_ptr->host : "*");
+src/s_conf.c:	  delete_one_address_conf(kill_ptr->host, kill_ptr);
+src/s_gline.c:    if( (kill_ptr->name && (!name || match(kill_ptr->name,name)))
+src/s_gline.c:	(kill_ptr->host && (!host || match(kill_ptr->host,host))))
+src/s_gline.c:    if(!irccmp(kill_ptr->host,host) && !irccmp(kill_ptr->name,user))
+src/s_gline.c:    if(kill_ptr->hold <= CurrentTime)
+src/hold:s_conf.c:      if (kill_ptr->hold <= CurrentTime)
+src/hold:s_conf.c:			       (kill_ptr->user) ? kill_ptr->user : "*",
+src/hold:s_conf.c:			       (kill_ptr->host) ? kill_ptr->host : "*");
+src/hold:s_conf.c:	  delete_one_address_conf(kill_ptr->host, kill_ptr);
+src/hold:s_gline.c:    if( (kill_ptr->name && (!name || match(kill_ptr->name,name)))
+src/hold:s_gline.c:	(kill_ptr->host && (!host || match(kill_ptr->host,host))))
+src/hold:s_gline.c:    if(!irccmp(kill_ptr->host,host) && !irccmp(kill_ptr->name,user))
+src/hold:s_gline.c:    if(kill_ptr->hold <= CurrentTime)
